# $Revision: 1.7 $, $Date: 2010/06/06 08:38:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Locale
%define	pnam	Hebrew
Summary:	Locale::Hebrew - Bidirectional Hebrew support
Summary(pl.UTF-8):	Locale::Hebrew - obsługa języka hebrajskiego z dwukierunkowym pismem
Name:		perl-Locale-Hebrew
Version:	1.04
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/A/AU/AUTRIJUS/Locale-Hebrew-%{version}.tar.gz
# Source0-md5:	5b1c08e039886c0319a0c4ece6209064
URL:		http://search.cpan.org/dist/Locale-Hebrew/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is based on code from the Unicode Consortium.

The charset on their code was bogus, therefore this module had to work
the real charset from scratch. There might have some mistakes, though.

One function, hebrewflip, is exported by default.

%description -l pl.UTF-8
Ten moduł jest oparty na kodzie z Unicode Consortium. Zestaw znaków w
tamtym kodzie był błędny, więc obsługa prawdziwego zestawu znaków
musiała być napisana od zera. Może jednak zawierać błędy.

Domyślnie eksportowana jest jedna funkcja - hebrewflip.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Locale/*.pm
%dir %{perl_vendorarch}/auto/Locale/Hebrew
%{perl_vendorarch}/auto/Locale/Hebrew/*.bs
%{perl_vendorarch}/auto/Locale/Hebrew/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/Hebrew/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Locale-Hebrew.spec,v $
Revision 1.7  2010/06/06 08:38:38  arekm
- release 3

Revision 1.6  2008/02/10 12:13:51  arekm
- rel 2

Revision 1.5  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.4  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2006/10/08 11:17:18  qboosh
- pl

Revision 1.1  2006/09/21 22:33:39  glen
- new
